import 'package:flutter/material.dart';

class CenteredPageHint extends StatelessWidget {
  final IconData icon;
  final String text;
  const CenteredPageHint({super.key, required this.icon, required this.text});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Container(
            padding: const EdgeInsets.all(12.0),
            child: Icon(icon, size: 48),
          ),
          Text(text, textAlign: TextAlign.center),
        ],
      ),
    );
  }
}
